Loading...
Searching...
No Matches
gx_gui::UiVSwitchWithCaption Class Reference

`#include <gx_main_boxes.h>`

Inheritance diagram for gx_gui::UiVSwitchWithCaption:

## Public Member Functions

| UiVSwitchWithCaption (const char *sw_type, gx_engine::Parameter &param, const char *label)
void | set_rack_label_inverse ()
Gxw::Switch * | get_regler ()

## Protected Attributes

Gxw::Switch | m_switch

## Private Attributes

Gtk::HBox | m_hbox
Gtk::HBox | m_hbox1
Gtk::HBox | m_hbox2
Gtk::Label | m_label

## Detailed Description

Definition at line 53 of file gx_main_boxes.h.

## Constructor & Destructor Documentation

## UiVSwitchWithCaption()

gx_gui::UiVSwitchWithCaption::UiVSwitchWithCaption | ( | const char * | sw_type,
|  | gx_engine::Parameter & | param,
|  | const char * | label )

## Member Function Documentation

## get_regler()

Gxw::Switch * gx_gui::UiVSwitchWithCaption::get_regler | ( |  | ) |

inline

Definition at line 64 of file gx_main_boxes.h.

## set_rack_label_inverse()

void gx_gui::UiVSwitchWithCaption::set_rack_label_inverse | ( |  | ) |

inline

Definition at line 63 of file gx_main_boxes.h.

## Member Data Documentation

## m_hbox

Gtk::HBox gx_gui::UiVSwitchWithCaption::m_hbox

private

Definition at line 55 of file gx_main_boxes.h.

## m_hbox1

Gtk::HBox gx_gui::UiVSwitchWithCaption::m_hbox1

private

Definition at line 56 of file gx_main_boxes.h.

## m_hbox2

Gtk::HBox gx_gui::UiVSwitchWithCaption::m_hbox2

private

Definition at line 57 of file gx_main_boxes.h.

## m_label

Gtk::Label gx_gui::UiVSwitchWithCaption::m_label

private

Definition at line 58 of file gx_main_boxes.h.

Referenced by set_rack_label_inverse().

## m_switch

Gxw::Switch gx_gui::UiVSwitchWithCaption::m_switch

protected

Definition at line 60 of file gx_main_boxes.h.

Referenced by get_regler().

The documentation for this class was generated from the following file:

- src/headers/gx_main_boxes.h